Bug 143962 - programs launched from apache can't read system fonts
Summary: programs launched from apache can't read system fonts
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-02 18:24 UTC by Glenn Henshaw
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: RHBA-2005-251
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-03 22:16:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:251 low SHIPPED_LIVE selinux-policy-targeted bug fix update 2005-06-09 04:00:00 UTC

Description Glenn Henshaw 2005-01-02 18:24:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/125.5.5 
(KHTML, like Gecko) Safari/125.12

Description of problem:
A php script is setup to launch 'dot' to render a graph. 'dot' can't use the system truetype 
fonts. The following log is given:

Jan  2 13:12:54 voltaic kernel: audit(1104689574.017:0): avc:  denied  { search } for  
pid=17221 exe=/usr/bin/dot name=fonts dev=dm-0 ino=966875 scontext=root:
system_r:httpd_sys_script_t tcontext=system_u:object_r:fonts_t tclass=dir
Jan  2 13:12:54 voltaic kernel: audit(1104689574.017:0): avc:  denied  { read } for  
pid=17221 exe=/usr/bin/dot name=fonts dev=dm-0 ino=966875 scontext=root:
system_r:httpd_sys_script_t tcontext=system_u:object_r:fonts_t tclass=dir

Priviledges for the fonts are:
ls -laZ /usr/X11R6/lib/X11/fonts/truetype/
drwxr-xr-x  root     root     system_u:object_r:fonts_t        .
drwxr-xr-x  root     root     system_u:object_r:fonts_t        ..
-rw-r--r--  root     root     system_u:object_r:fonts_t        andalemo.ttf
-rw-r--r--  root     root     system_u:object_r:fonts_t        arialbd.ttf
....




Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.17.30-2.58

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
    

Expected Results:  The truetype fonts should be used in rendering

Additional info:

httpd-2.0.52-3.1, php-4.3.10-3.2, graphviz-2.0-1.fc1 (from http://www.graphviz.org/
Download_linux.php )

Adding the following to /etc/selinux/targeted/src/policy/domains/misc/local.te 
#allow access to fonts
allow httpd_sys_script_t fonts_t:dir { read search getattr };
allow httpd_sys_script_t fonts_t:file { read getattr };

 and reloading the policy allows this to work.

Comment 1 Daniel Walsh 2005-01-03 14:20:25 UTC
Fixed in selinux-policy-targeted-1.17.30-2.63

Comment 2 Glenn Henshaw 2005-01-03 22:00:42 UTC
The new version has resolved the problem.

Comment 3 Tim Powers 2005-06-09 13:06:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-251.html



Note You need to log in before you can comment on or make changes to this bug.